---
title: validate credentials
slug: api-documentation/validate-credentials
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "QV0PxxPV7gWTXjoBgsV2f",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/tax/validate-credentials",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/validate-credentials",
        "description": "Dev Server"
      }
    ],
    "name": "validate credentials",
    "description": "<p>This endpoint validates user credentials.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>'tax.read'</li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>'operator.default'</li>\n<li>'service.operator'</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "<p>The tax provider credentials to validate, with the environment and company code they apply to.</p>",
          "schema": [
            {
              "name": "userName",
              "kind": "required",
              "type": "string",
              "description": "User Name",
              "minLength": 1
            },
            {
              "name": "password",
              "kind": "required",
              "type": "string",
              "description": "Password",
              "minLength": 1
            },
            {
              "name": "environment",
              "kind": "required",
              "type": "string<Production | Sandbox>",
              "description": "Login Environment",
              "enum": [
                "Production",
                "Sandbox"
              ],
              "minLength": 1
            },
            {
              "name": "companyCode",
              "kind": "required",
              "type": "string",
              "description": "Company Code",
              "minLength": 1
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "204",
        "description": "<p>Success - credentials validated successfully.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request-the request contained data that could not be processed.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "XqWG6t2GhNOR53GdybNYw",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/tax/validate-credentials \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"userName\": \"\",\n     \"password\": \"\",\n     \"environment\": \"\",\n     \"companyCode\": \"\"\n     }'"
        },
        {
          "id": "DnqcK04kEJh9NL8c7sesY",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\",\n   \"companyCode\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/validate-credentials\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Y3QrVcqM1fxdTO6fM4sGY",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/validate-credentials\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\",\n   \"companyCode\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "3TuNu9XrE7Owe2i2vXuD3",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/validate-credentials\"\n\npayload = json.dumps({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\",\n   \"companyCode\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "XqWG6t2GhNOR53GdybNYw"
    },
    "results": {
      "languages": [
        {
          "id": "AO4Gr85-lDb8mw36KtIyw",
          "language": "204",
          "code": "// Success - credentials validated successfully.\n"
        },
        {
          "id": "4v88KTIXX5JxChk_8ycvE",
          "language": "400",
          "code": "// Bad Request-the request contained data that could not be processed.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "5ChecCCZ96vb__toaePdI",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "ho8akFXPnX9mvqFSa02h-",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "AO4Gr85-lDb8mw36KtIyw"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}